/*
 *
 *
 *    ops.h
 *
 *    Standardized operations.
 *
 *    Copyright (C) 2016 by Matt Roberts.
 *    License: GNU GPL3 (www.gnu.org)
 *
 *
 */

#ifndef __KK5JY_OPS_H
#define __KK5JY_OPS_H

#include <math.h>
#include <stdint.h>

namespace KK5JY {
	namespace DSP {
		//
		//  class Operations<T>
		//
		template <typename T>
		class Operations {
			public:
				// absolute value
				static T abs(T value) { return ::abs(value); }
		};

		template<>
		double Operations<double>::abs(double value) { return fabs(value); }

		template<>
		float Operations<float>::abs(float value) { return fabs(value); }
	}
}

#endif
